Subject: [bug#30974] cryptsetup 2.0.2

From: [email-masked] (Ludovic Courtès)
Date: Fri, 30 Mar 2018 10:40:47 +0200

Hello!

Marius Bakke <[email-masked]> skribis:

> Marius Bakke <[email-masked]> writes:
>
>> The size of "cryptsetup-static" increases from 5 MiB to 11.2 MiB.  Not
>> sure why, json-c and argon2 are only a few 100 KiB each.  Thoughts?
>
> This is simply because 2.0 adds two new binaries: "cryptsetup-reencrypt"
> and "integritysetup".  The size of the existing executables only
> increase slightly.
>
> We definitely don't need the "reencrypt" tool in the initrd, and can
> probably get rid of integritysetup and veritysetup as well.  WDYT?

I think we should get rid of both in the ‘cryptsetup-static’ package.

Thank you,
Ludo’.